<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursausfallSetzen;

class KursausfallSetzenDialogController extends \Kufer\KuferTools\Basis\KursDetails\KursausfallSetzen\KursausfallSetzenDialogController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursausfallSetzenDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KursausfallSetzenDialogPresenter($pUseCaseResponse);
  }
}